# Tarfile created using git
# git clone http://git.matt.colyer.name/2008/ifuse/
# git-archive --format=tar --prefix=ifuse-0.1.0/ %{git_version} | bzip2 > ifuse-0.1.0-%{gitdate}.tar.bz2

%define gitdate 20081214
%define git_version b0412bf
%define tarfile %{name}-%{version}-%{gitdate}.tar.bz2
%define snapshot %{gitdate}git%{git_version}

Name:          ifuse
Version:       0.1.0
Release:       6.%{snapshot}%{?dist}
Summary:       Mount Apple iPhone and iPod touch devices

Group:         System Environment/Libraries
License:       GPLv2+
URL:           http://matt.colyer.name/projects/iphone-linux/
Source0:       %{tarfile}
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:      hal
BuildRequires: glib2-devel
BuildRequires: fuse-devel
BuildRequires: libiphone-devel

# Require these until a formal release
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf

%description
A fuse filesystem for mounting iPhone and iPod touch devices

%prep
%setup -q

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
/sbin/mount.fuse.ifuse
%{_bindir}/hal-iphone-setup
%{_datadir}/hal/fdi/information/20thirdparty/30-ifuse.fdi

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6.20081214gitb0412bf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 16 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-5
- Review fixes

* Sun Dec 14 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-4
- Actually depend on libiphone. Latest git

* Tue Dec 2 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-3
- Fix git file generation

* Mon Dec 1 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-2
- Update package to code snapshot package policies

* Sat Nov 29 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-1
- Initial package
